Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 171277 - MCE arg parsing broken on x86-64
Summary: MCE arg parsing broken on x86-64
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix 191141
TreeView+ depends on / blocked
 
Reported: 2005-10-20 10:23 UTC by Bastien Nocera
Modified: 2013-08-06 01:16 UTC (History)
2 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:32:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
bluesmoke-arg-parsing-x86-64.patch (deleted)
2005-10-20 10:23 UTC, Bastien Nocera
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Bastien Nocera 2005-10-20 10:23:45 UTC
In arch/x86-64/kernel/bluesmoke.c:
__setup("mce", mcheck_enable);

And the comment for mcheck_enable says:
/* mce=off disable machine check
   mce=nok8 disable k8 specific features
   mce=disable<NUMBER> disable bank NUMBER
   mce=enable<NUMBER> enable bank number
   mce=NUMBER mcheck timer interval number seconds.
   Can be also comma separated in a single mce= */
But the '=' passed to mcheck_enable is not taken into account, and parsing will
fail every time.

Trivial patch attached.

Comment 1 Bastien Nocera 2005-10-20 10:23:46 UTC
Created attachment 120187 [details]
bluesmoke-arg-parsing-x86-64.patch

Comment 2 Jim Paradis 2006-02-10 18:53:43 UTC
This bug, as reported, is actually against RHEL3, not RHEL4 (the patch supplied
is a 2.4 patch, and bluesmoke.c is only seen in RHEL3).  The same problem occurs
in RHEL4, though.  I'll file a separate bug for that.


Comment 3 Ernie Petrides 2006-02-18 00:25:30 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.2.EL).


Comment 4 Ernie Petrides 2006-04-28 21:53:20 UTC
Adding a couple dozen bugs to CanFix list so I can complete the stupid advisory.

Comment 7 Red Hat Bugzilla 2006-07-20 13:32:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.